| Home | Libraries | People | FAQ | More

## Struct template id_translator

boost::property_tree::id_translator — Simple implementation of the Translator concept. It does no translation.

## Synopsis

    // In header: <boost/property_tree/ptree_fwd.hpp>

    template<typename T>
    struct id_translator {

      // public member functions
      boost::optional< T > get_value(const T &);
      boost::optional< T > put_value(const T &);
    };

## Description

### `id_translator` public member functions

1.     boost::optional< T > get_value(const T & v);

2.     boost::optional< T > put_value(const T & v);